Description

Gene Xpert result of e-TBM

We have 3 options for MTB Detection: Yes - No - Invalid / Error

1.     If you chose Yes --> Result of Rifampicin we must have 5 options: see table below;

2.      If you chose No or Invalid / Error --> Result of Rifampicin will only have 1 option: Not done

I mean we must be capable of saving with Rifampicin result as “Not done” ( right now, we cannot save if the result is "Not done" for

Rifampicin)

Could you check again and fix for us:

- Make 3 options for MTB Detection

- Make 5 options for Result for Rifampicin, when MTB detection is Yes: see table below.

The system must  save when we select No or Invalid/Error for MTB Detection and Not done for Rifamp

icin Result.

History

#1 - 10/22/2012 01:51 PM - Maurício Dos Santos

- Status changed from New to Feedback

- Assignee set to Ricardo Memoria

I need a brief explanation about GeneXpert

#2 - 10/24/2012 01:28 PM - Maurício Dos Santos

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

This modification is in DST EXAM FORM

#3 - 10/29/2012 08:41 AM - Maurício Dos Santos

- Status changed from Feedback to In Progress

#4 - 11/05/2012 12:43 PM - Maurício Dos Santos

In a skype conversation Ricardo has confirmed to use a condition over the abbrevname of refampsin (r) to customise this field.

#5 - 11/05/2012 03:02 PM - Maurício Dos Santos

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Luiz Fernando Avelino
Waiting for the feedback of an e-mail that has been sent to Fernando...

#6 - 11/06/2012 12:19 PM - Maurício Dos Santos

- Status changed from Feedback to In Progress

#7 - 11/06/2012 08:14 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

- Assignee changed from Luiz Fernando Avelino to Maurício Dos Santos

It's done and I had already commited it. Some translations already existed but was different, I didn't edited it, please check.

#8 - 11/09/2012 02:24 PM - Ricardo Memoria

- Assignee changed from Maurício Dos Santos to Luiz Fernando Avelino

Hi Luiz,

I had just talked to Maurício right now. Problens:

1. When MTB is NOT DONE, the only option for Riphampicin is NOT DONE, and the system just records a DST result if there is at least one

medicine with result different of NOT DONE;

What MTB = NOT DONE means? it means that DST was not performed? If so, the user doesn't have to register any DST result, correct?

2. When MTB is Invalid/Error, we have the same problem - The only one possibility for Riphampicin is NOT DONE.

Maybe it's better to replace NOT DONE by ERROR for Riphampicin. What do you think?

OK, but those rules must be clarified to me so I can detail them to Vietnam's staff.

#9 - 11/09/2012 02:46 PM - Maurício Dos Santos

- Status changed from Resolved to Feedback

- Assignee changed from Luiz Fernando Avelino to Ricardo Memoria

See the bugs detected:

- The form doesn't save.

 Validation rules.

-The rifampcin field don't send to the server it's real value (allays sends not done)

When it is being edited the special fields doesn't appear as if had to appear.

- The system has to show only the rifampsin field when it is genexpert.

I'm waiting for Ricardo's answer about the validation rules.

I've already told my position to Ricardo.
#10 - 11/14/2012 02:44 PM - Maurício Dos Santos

- Assignee changed from Ricardo Memoria to Luiz Fernando Avelino

Some adjustments had been done, now I'm just  wainting for Luiz Fernandos answers about the Ricardo's questions.

#11 - 11/19/2012 07:09 PM - Maurício Dos Santos

- Assignee changed from Luiz Fernando Avelino to Ricardo Memoria

I've already putted the code in SVN, please check it.

Be careful about how genexpert is recorded in database... The verification is hard code for the String "GeneXpert", but it was recorded as "GeneXpert

" (with the space after), so I had problems with it. I've already modified it in the production environment, take care about your local environment.

There is just onde more problem, the icon for "not resistance", "intermediate" and error, witch color should I use?

#12 - 11/20/2012 09:36 PM - Maurício Dos Santos

- Status changed from Feedback to Closed

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

Luiz Fernando instructed me through e-mail how to do that icons. Now it's done.

Files
